Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 07 Mar 2023 02:31:17 +0000 (UTC)

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Dear customer service agent,
I passed an order on the application , after payment and money really take it from my credit card I received 3 msg and  I don't understand what that mean exactly??
1st msg
"Thank you, we'll notify you when your order  9417852461 for Juniors 18-Piece Floor Mat 270...  is ready for collection from Centrepoint  City Centre Deira - Dubai."
2nd msg
"Your payment for order 9417851185 is being processed, and it may take up to an hour. We'll notify you when your order is confirmed."
3rd msg 
"Sorry, Order 9417851185 was not processed successfully. Please try again or use Cash on Delivery at https://babyshop.app.link/r1XD74t4Wxb"
Why it's not confirmed and how I can refund my money , instead I like to complete my purchase !!
So please someone call me sooner as possible to explain me what happened?
Regards Achraf https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5802656